<?php

declare(strict_types=1);

namespace FecaMailshots\Infrastructure;

use PDO;

interface DatabaseRouter
{
    public function mailshotsPdo(): PDO;

    public function membersPdo(): PDO;

    public function mailshotsDbName(): string;

    public function membersDbName(): string;

    public function fenDbName(): string;
}
